## org.codehaus.groovy.grails.commons.spring
Class GrailsResourceHolder

    java.lang.Object
      org.codehaus.groovy.grails.commons.spring.GrailsResourceHolder

    public class GrailsResourceHolder

extends Object

A class that holds references to all the Grails resource instances to support class reloading

Since:
  31-Jan-2006
Author:
  Graeme Rocher

Field Summary
`static String` `APPLICATION_CONTEXT_ID`

Constructor Summary
`GrailsResourceHolder()`

Method Summary
`String` `getClassName(Resource resource)`
`Resource[]` `getResources()`
`void` `setResources(Resource[] resources)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_CONTEXT_ID

    public static final String APPLICATION_CONTEXT_ID

See Also:
  Constant Field Values

Constructor Detail

### GrailsResourceHolder

    public GrailsResourceHolder()

Method Detail

### getResources

    public Resource[] getResources()

### setResources

    public void setResources(Resource[] resources)

### getClassName

    public String getClassName(Resource resource)

  Parameters:
    `resource` -
  Returns:
    Retrieves the class name of the specified resource

Copyright (c) 2005-2009 The Grails project